# -*- mode: Makefile -*-

TEMPLATE = app
CONFIG = release

HEADERS += gCardSys_Controller.hh
HEADERS += gCardSys_View.hh
HEADERS += ViewController_Attrib.hh

SOURCES += gCardSys.cc
SOURCES += gCardSys_Controller.cc
SOURCES += gCardSys_View.cc 
SOURCES += ViewController_Attrib.cpp

# for standard Linux
#DEFINES += NO_HILDON_DBUS

# for maemo:
DEFINES += IS_HILDON

TARGET = gCardSys

# variables used in the source code.
DEFINES += PACKAGE_NAME=\"\\\"$$TARGET\\\"\"
#DEFINES += PACKAGE_VERSION=\"\\\"$$system(cat ../../version)\\\"\"
DEFINES += PACKAGE_VERSION=\"\\\"$$cat(../../version)\\\"\"
message ("DEFINES is $$DEFINES")


#######################
# Linking settings:
#######################
INCPATH += ../libLeitnerSys
INCPATH += ../libkaz

LIBPATH += ../libLeitnerSys
LIBS += ../libLeitnerSys/libLeitnerSys.a
LIBS += ../libkaz/libkaz.a

PRE_TARGETDEPS += ../libLeitnerSys/libLeitnerSys.a

CONFIG += link_pkgconfig
PKGCONFIG += libxml-2.0
PKGCONFIG += gstreamer-base-0.10
PKGCONFIG += hildon-1
PKGCONFIG += gconf-2.0 
PKGCONFIG += libosso

# export dyanmic symbols
#QMAKE_CXXFLAGS += -export-dynamic
#LIBS += -Wl,--export-dynamic
#linux-g++*:LIBS += -rdynamic
#http://meego.gitorious.org/meegotouch/meegotouch-applauncherd/blobs/916838ec91416df39d9e20a3ac2b9db11f0257c2/README
#QMAKE_CXXFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden
QMAKE_CXXFLAGS += -fPIC -fvisibility-inlines-hidden
QMAKE_LFLAGS += -pie -rdynamic


##########################
# Installation settings:
##########################

unix {
  #VARIABLES
  isEmpty(PREFIX) {
    PREFIX = /usr/local
  }
  BINDIR = $$PREFIX/bin
  DATADIR = $$PREFIX/share

  PKGDATADIR = /opt/$$lower($$TARGET)/
  DEFINES += DATADIR=\\\"$$DATADIR\\\" PKGDATADIR=\\\"$$PKGDATADIR\\\"

  #MAKE INSTALL
  #INSTALLS += target desktop service iconxpm icon26 icon64
  INSTALLS += target ui desktop service iconxpm icon26 icon40 scalable
  INSTALLS += doc data

  target.path = $$BINDIR

  ui.path = $$BINDIR
  ui.files += gCardSys_2-10.ui

  desktop.path = $$DATADIR/applications/hildon
  desktop.files += ../../debfiles/$${TARGET}.desktop

  service.path = $$DATADIR/dbus-1/services
  #service.files += ../../debfiles/$${TARGET}.service
  service.files += ../../debfiles/org.maemo.$${TARGET}.service

  iconxpm.path = $$DATADIR/pixmap
  iconxpm.files += ../../debfiles/icons/maemo/$${TARGET}.xpm 

  icon26.path = $$DATADIR/icons/hicolor/26x26/hildon
  icon26.files += ../../debfiles/icons/26x26/$${TARGET}.png 

  icon40.path = $$DATADIR/icons/hicolor/40x40/hildon
  icon40.files += ../../debfiles/icons/40x40/$${TARGET}.png

  # icon64.path = $$DATADIR/icons/hicolor/64x64/holdon
  # icon64.files += ../../debfiles/icons/64x64/$${TARGET}.png

  scalable.path = $$DATADIR/icons/hicolor/scalable/hildon
  scalable.files += ../../debfiles/icons/64x64/$${TARGET}.png

  doc.path = $$PKGDATADIR/doc
  doc.files += ../../doc/creatingFlashCards.pdf

  data.path = $$PKGDATADIR/example
  data.files += ../../data/*
}
