/**
 * @file leitnerSys_View.hh
 *
 *  @remark ~ Interface of the leitnerSys controller module
 *
 *  @author ~ Tommy Chang
 *
 *  @verbatim
 *  ,--------------------------------------------------------------------.
 *  Copyright 2009 Tommy Chang.  This file is part of gCardSys.
 *
 *  gCardSys is free software: you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the
 *  Free Software Foundation, either version 3 of the License, or (at
 *  your option) any later version.
 *
 *  gCardSys is distributed in the hope that it will be useful, but WITHOUT
 *  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 *  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 *  for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with gCardSys.  If not, see <http://www.gnu.org/licenses/>.
 *  `-------------------------------------------------------------------
 *  @endverbatim
 *
 *  @par Created by Tommy Chang, 2009-06-03 
 **/


#ifndef GCARDSYS_VIEW_HH
#define GCARDSYS_VIEW_HH
/*----------------------------------*
 * Preprocessor and Include Headers *
 \*--------------------------------*/
#include <gtk/gtk.h>
#include "leitnerSysModel.hh"
#include "ViewController_Attrib.hh"

/*-----------------*
 * Macro Constants *
 \*---------------*/
#define ModelClass LeitnerModelClass
#define AUTOFLIP_OFF      "0"
#define AUTOFLIP_TO_BACK  "1"
#define AUTOFLIP_TO_FRONT "2"



/*-----------------*
 * Data Structures *
 \*---------------*/
class ViewClass 
{
public:
  ViewClass (ModelClass *in_modelObjP);
  ~ViewClass ();

  bool InitGUI (GtkBuilder *in_builderP);
  void Present ();
  void ClearPresentation ();

  void ConstructStatPage ();

  GtkBuilder     *m_builderP;
  ModelClass     *m_modelObjP;
  AttributeClass  m_attributeObj;

private:
  GtkTextBuffer *m_frontText_bufferP;
  GtkTextBuffer *m_backText_bufferP;
  GtkTextBuffer *m_statusText_bufferP;

  void InitTextViews ();
};


typedef struct CallBackUserDataStruct {
  ViewClass  *m_viewObjP;
} CallBackUserDataStruct;


/*--------------------*
 * Function Prototype *
 \*------------------*/


#endif // GCARDSYS_VIEW_HH
